com.pivotal.gemfirexd.internal.client.net

## Class CcsidManager

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.CcsidManager

Direct Known Subclasses:
  EbcdicCcsidManager

    public abstract class CcsidManager
    extends Object

### Field Summary

Fields
`byte` `space_`

### Method Summary

Methods
`abstract byte[]` `convertFromUCS2(String sourceString, Agent agent)`
`abstract int` `convertFromUCS2(String sourceString, byte[] buffer, int offset, Agent agent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### space_

    public byte space_

### Method Detail

#### convertFromUCS2

    public abstract byte[] convertFromUCS2(String sourceString,
                         Agent agent)
                                    throws SqlException

Throws:
  `SqlException`

#### convertFromUCS2

    public abstract int convertFromUCS2(String sourceString,
                      byte[] buffer,
                      int offset,
                      Agent agent)
                                 throws SqlException

Throws:
  `SqlException`